
%closeplot

%gset term postscript landscape color lw 2;

%points=[1,2.2,2.5,2.7];
%range=0:0.01:4;

init;

closeplot;
gset output "/dev/null"
gset title "h=0.05" font "Helvetica,20"
plotkernel(range,points,0.05);
gset output "hsmall.eps";
replot;
closeplot;

gset output "/dev/null"
gset title "h=2" font "Helvetica,20";
plotkernel(range,points,2);
gset output "hbig.eps";
replot;
closeplot

gset output "/dev/null"
gset title "h=0.5" font "Helvetica,20";
plotkernel(range,points,0.5);
gset output "hmedium.eps";
replot;
closeplot

gset output "/dev/null"
plotkernel(-2:0.1:2,[0],0.5);
gset output "kernel.eps";
replot;
closeplot


gset output "/dev/null"
gset title "Pseudowahrscheinlichkeit f*(x)" font "Helvetica,20"
plotloo(range,points,2,0.05);
gset output "loo005.eps";
replot;
closeplot

gset output "/dev/null"
gset title "Pseudowahrscheinlichkeit f*(x)" font "Helvetica,20"
plotloo(range,points,2,[0.05,0.5]);
gset output "loo00505.eps";
replot;
closeplot

gset output "/dev/null"
gset title "Pseudowahrscheinlichkeit f*(x)" font "Helvetica,20"
plotloo(range,points,2,[0.05,0.5,2]);
gset output "loo052.eps";
replot;
closeplot


gset output "/dev/null"
gset title "Optimales h" font "Helvetica,20"
plotoptimal(range,points);
gset output "optimal.eps";
replot;
closeplot

X=10:0.1:20;
Y=2:0.1:4;
pointsx=[10.5 15.5 11.2 12.1];
pointsy=[2.3 3.3 2.6 3.5]

gset output "/dev/null";
gset title "p(Z=z,A1=3.0)" font "Helvetica,20"
axis([10,20,2,4,0,0.1])
hold on;
mesh(X,Y,multi2dkernel(X,Y,pointsx,pointsy,1,0.3));
mesh(X,[3 3],[1;0]*(multi2dkernel(X,3,pointsx,pointsy,1,0.3)+0.02));

%a=multi2dkernel(X,3,pointsx,pointsy,1,0.3);
%mesh(X,[3 3],[0;0.1]*(a./a));

hold off;
gset output "zweid.eps";
replot;
closeplot;

gset output "/dev/null";
gset title "p(Z=z)" font "Helvetica,20"
plotoptimal(X,pointsx);
gset output "pk.eps";
replot;
closeplot

gset output "/dev/null";
gset title "p(Z=z|A2=rot)" font "Helvetica,20"
plotoptimal(X,[10.5,11.2]);
gset output "pka2.eps";
replot;
closeplot






